RapidIdentity Product Guide: Legacy UI

System Requirements
  • Agent must be deployed on the Exchange 2007 server or another server or workstation in the same domain with the Exchange 2007 Management Tools installed.

  • Note that as of the time this documentation was written, Microsoft does not support the installation of Exchange 2007 Management Tools on Windows 7 or newer and Windows 2008 R2 or newer, and therefore the agent will not work against Exchange 2007 on those platforms.

  • Internet Information Services (IIS) 6 or 7

  • .NET Framework 4.x

Note

The RapidIdentity Exchange Only Administrative Web Service Agent exposes the Powershell based Exchange Management API as a web service for consumption by the Exchange adapter.

Upgrade Notes

  • As of version 3.1.3.1.10, idautoExchangeAdminWSInstaller does not work with Exchange 2007 due to conflicts in Powershell version compatibility between Exchange 2007 Administrative tools and Office 365 Powershell extensions.

  • idautoExchangeOnlyAdminWS can coexist with older versions of idautoExchangeAdminWS on the same machine and will not replace an existing install.

  • the default web service URL has changed from …/idautoExchangeAdmin to …/idautoExchangeOnlyAdmin so existing driver sets will need to be updated accordingly.